Bug 506570 - Mythweb does not work
Mythweb does not work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 15:13 EDT by Danny Ciarniello
Modified: 2014-03-16 23:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 22:43:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Ciarniello 2009-06-17 15:13:23 EDT
Description of problem:
Mythweb displays a blank page in browser

Version-Release number of selected component (if applicable):
0.21-20.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install and configure mythtv
2. Run mythfilldatabase
3. Access mythweb page - http://localhost/mythweb/
  
Actual results:
Blank page is displayed

Expected results:
Mythweb home page is displayed

Additional info:
This line appears in the apache error_log:
PHP Fatal error:  Call to undefined function posix_uname() in /usr/share/mythweb/includes/defines.php on line 21

Mythweb worked just fine in Fedora 10 and the PHP versions between F10 and F11 appear to be the same so it is not clear why this error exists.

Changing the call to posix_uname() to php_uname() in defines.php is a temporary workaround
Comment 1 Bill Nottingham 2009-06-17 22:43:23 EDT
MythTV does not ship as part of Fedora. I suggest you try the various support options available at http://www.mythtv.org/support

If, once you've done so, you feel it is a PHP issue, feel free to reopen and assign to PHP.

Closing as CANTFIX, as this doesn't appear to be a Fedora issue.
Comment 2 Jarod Wilson 2009-06-18 09:02:18 EDT
See also: http://bugzilla.rpmfusion.org/show_bug.cgi?id=652
Comment 3 Danny Ciarniello 2009-06-18 10:47:41 EDT
Oops.  I forgot that MythTV came through RPMFusion and not Fedora when I posted the bug.  Sorry about that.

Note You need to log in before you can comment on or make changes to this bug.